Quote

Intraday

WSRequest · cmd 18

This API is used to obtain the intraday data of security.

message SecurityIntradayRequest {
  string symbol = 1;
}

message SecurityIntradayResponse {
  string symbol = 1;
  repeated Line lines = 2;
}
Quote Permission RequiredFree
  • US stocks: US LV1 included free by default (pre-market, regular, after-hours, and overnight sessions).
  • HK stocks: LV1 real-time quotes included by default.
  • US options: no permission by default — purchase "OPRA US Options Quotes (OpenAPI)".

Request parameters

NameTypeRequiredDescription
symbolstringRequiredSecurity code, in ticker.region format, e.g. 700.HK

Response fields

NameTypeRequiredDescription
symbolstringOptionalSecurity code, e.g. AAPL.US
linesobject[]OptionalIntraday line data
└ pricestringOptionalClose price of the minute
└ timestampint64OptionalStart time stamp of the minute
└ volumeint64OptionalVolume
└ turnoverstringOptionalTurnover
└ avg_pricestringOptionalAverage price

Response JSON example

{
  "symbol": "700.HK",
  "lines": [
    {
      "price": "330.400",
      "timestamp": 1651023000,
      "volume": 375870,
      "turnover": "123949699.000",
      "avg_price": "329.767470"
    }
  ]
}